* [U-Boot] [PATCH] kconfig: show an error message when defconfig is not found
@ 2014-09-03 20:48 Masahiro Yamada
2014-09-03 20:56 ` Stephen Warren
0 siblings, 1 reply; 2+ messages in thread
From: Masahiro Yamada @ 2014-09-03 20:48 UTC (permalink / raw)
To: u-boot
When a non-existing defconfig is specified,
display an easy-to-understand message
(fake the error message on Linux Kernel):
$ make foo_defconfig
***
*** Can't find default configuration "confis/foo_defconfig"!
***
Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com>
---
scripts/multiconfig.sh | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/scripts/multiconfig.sh b/scripts/multiconfig.sh
index a579042..af8dbe1 100644
--- a/scripts/multiconfig.sh
+++ b/scripts/multiconfig.sh
@@ -118,6 +118,13 @@ do_board_defconfig () {
defconfig_path=$srctree/configs/$1
tmp_defconfig_path=configs/.tmp_defconfig
+ if [ ! -r $defconfig_path ]; then
+ echo "***"
+ echo "*** Can't find default configuration \"confis/$1\"!"
+ echo "***"
+ exit 1
+ fi
+
mkdir -p arch configs
# defconfig for Normal:
# pick lines without prefixes and lines starting '+' prefix
--
1.9.1
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2014-09-03 20:56 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-09-03 20:48 [U-Boot] [PATCH] kconfig: show an error message when defconfig is not found Masahiro Yamada
2014-09-03 20:56 ` Stephen Warren
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox